<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: frontend/src/lib/network_service/test_network_service.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_ca0386ec887ae6362f93b0d653b52e0c.html">frontend</a></li><li class="navelem"><a class="el" href="dir_debbd63f1d8db984f7ce6be7690dc411.html">src</a></li><li class="navelem"><a class="el" href="dir_4a296fb22e14d54e648023a35f56bd71.html">lib</a></li><li class="navelem"><a class="el" href="dir_fbced19172bb698893d58d1a886497de.html">network_service</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">test_network_service.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;catch.hpp&quot;</code><br />
<code>#include &quot;<a class="el" href="NetworkService_8hpp_source.html">NetworkService.hpp</a>&quot;</code><br />
<code>#include &lt;curl/curl.h&gt;</code><br />
<code>#include &lt;nlohmann/json.hpp&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for test_network_service.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="test__network__service_8cpp__incl.png" border="0" usemap="#frontend_2src_2lib_2network__service_2test__network__service_8cpp" alt=""/></div>
<map name="frontend_2src_2lib_2network__service_2test__network__service_8cpp" id="frontend_2src_2lib_2network__service_2test__network__service_8cpp">
<area shape="rect" title=" " alt="" coords="255,5,502,47"/>
<area shape="rect" title=" " alt="" coords="84,95,169,121"/>
<area shape="rect" href="NetworkService_8hpp.html" title=" " alt="" coords="245,95,398,121"/>
<area shape="rect" title=" " alt="" coords="5,169,64,196"/>
<area shape="rect" title=" " alt="" coords="383,169,507,196"/>
<area shape="rect" title=" " alt="" coords="531,169,618,196"/>
<area shape="rect" title=" " alt="" coords="524,95,671,121"/>
<area shape="rect" title=" " alt="" coords="88,169,168,196"/>
<area shape="rect" title=" " alt="" coords="192,169,259,196"/>
<area shape="rect" title=" " alt="" coords="283,169,359,196"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a656eb5868e824d59f489f910db438420"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="test__network__service_8cpp.html#a656eb5868e824d59f489f910db438420">CATCH_CONFIG_MAIN</a></td></tr>
<tr class="separator:a656eb5868e824d59f489f910db438420"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ab701e3ac61a85b337ec5c1abaad6742d"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="test__network__service_8cpp.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a> = nlohmann::json</td></tr>
<tr class="separator:ab701e3ac61a85b337ec5c1abaad6742d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a2b204af8750e89a86d86035d06f4765f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="test__network__service_8cpp.html#a2b204af8750e89a86d86035d06f4765f">TEST_CASE</a> (&quot;NetworkService connects to a remote resource&quot;,&quot;[network_service][connectivity]&quot;)</td></tr>
<tr class="separator:a2b204af8750e89a86d86035d06f4765f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a5773190a0743dc74dec288b177eed8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="test__network__service_8cpp.html#a0a5773190a0743dc74dec288b177eed8">TEST_CASE</a> (&quot;NetworkService GET request NO Headers/Parameters&quot;,&quot;[network_service][get][no_headers][no_params]&quot;)</td></tr>
<tr class="separator:a0a5773190a0743dc74dec288b177eed8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a600192daf6d40f68d6bb12daf0a571f9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="test__network__service_8cpp.html#a600192daf6d40f68d6bb12daf0a571f9">TEST_CASE</a> (&quot;NetworkService GET request WITH Parameters NO Headers&quot;,&quot;[network_service][get][params][no_headers]&quot;)</td></tr>
<tr class="separator:a600192daf6d40f68d6bb12daf0a571f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a919eb9cdc51d1e62da63616e15719f00"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="test__network__service_8cpp.html#a919eb9cdc51d1e62da63616e15719f00">TEST_CASE</a> (&quot;NetworkService POST request NO Headers/Params&quot;,&quot;[network_service][post][no_headers][no_params]&quot;)</td></tr>
<tr class="separator:a919eb9cdc51d1e62da63616e15719f00"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a656eb5868e824d59f489f910db438420"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a656eb5868e824d59f489f910db438420">&#9670;&nbsp;</a></span>CATCH_CONFIG_MAIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CATCH_CONFIG_MAIN</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="ab701e3ac61a85b337ec5c1abaad6742d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab701e3ac61a85b337ec5c1abaad6742d">&#9670;&nbsp;</a></span>json</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="test__network__service_8cpp.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a> =  nlohmann::json</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a2b204af8750e89a86d86035d06f4765f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b204af8750e89a86d86035d06f4765f">&#9670;&nbsp;</a></span>TEST_CASE() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST_CASE </td>
          <td>(</td>
          <td class="paramtype">&quot;NetworkService connects to a remote resource&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;&quot;&#160;</td>
          <td class="paramname">[network_service][connectivity]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0a5773190a0743dc74dec288b177eed8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a5773190a0743dc74dec288b177eed8">&#9670;&nbsp;</a></span>TEST_CASE() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST_CASE </td>
          <td>(</td>
          <td class="paramtype">&quot;NetworkService GET request NO Headers/Parameters&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;&quot;&#160;</td>
          <td class="paramname">[network_service][get][no_headers][no_params]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a600192daf6d40f68d6bb12daf0a571f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a600192daf6d40f68d6bb12daf0a571f9">&#9670;&nbsp;</a></span>TEST_CASE() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST_CASE </td>
          <td>(</td>
          <td class="paramtype">&quot;NetworkService GET request WITH Parameters NO Headers&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;&quot;&#160;</td>
          <td class="paramname">[network_service][get][params][no_headers]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a919eb9cdc51d1e62da63616e15719f00"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a919eb9cdc51d1e62da63616e15719f00">&#9670;&nbsp;</a></span>TEST_CASE() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST_CASE </td>
          <td>(</td>
          <td class="paramtype">&quot;NetworkService POST request NO Headers/Params&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;&quot;&#160;</td>
          <td class="paramname">[network_service][post][no_headers][no_params]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
